Bug 1110042 - libqb server side buffer enhancements
Summary: libqb server side buffer enhancements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libqb
Version: 6.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: David Vossel
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1110043 1195500
TreeView+ depends on / blocked
 
Reported: 2014-06-16 22:08 UTC by David Vossel
Modified: 2015-08-24 06:36 UTC (History)
6 users (show)

Fixed In Version: libqb-0.17.1-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The libqb packages have been upgraded to upstream version 0.17.1, which provides a number of bug fixes and enhancements over the previous version. One of the notable changes gives components consuming inter-process communication (IPC) API of libqb more control over IPC buffer sizes. The ability to utilize larger buffer sizes in a consistent way between the IPC client and server allows pacemaker to scale much further in the number of resources the cluster can manage.
Clone Of:
: 1110043 1195500 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:12:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1281 normal SHIPPED_LIVE libqb bug fix and enhancement update 2015-07-20 17:49:03 UTC

Description David Vossel 2014-06-16 22:08:17 UTC
Description of problem:

We need to rebase to the Libqb v0.17.0 upstream release.

Libqb v0.17.0 introduced the ability for ipc servers to dictate the size of the ipc bufferes. Pacemaker (which uses libqb) needs the ability to enforce buffer sizes on ipc clients to handle the large CIB files generated when large amounts of remote-nodes and resources are in use.

Comment 2 David Vossel 2015-01-16 18:36:13 UTC
https://github.com/ClusterLabs/libqb/releases/tag/v0.17.1

upstream version libqb 0.17.1 resolves this.

Comment 4 David Vossel 2015-02-23 23:12:21 UTC
The unit test should only involve sanity testing that libqb works as expected in a pacemaker environment.

Pacemaker has to be updated before the buffer enhancements will do anything. Those changes are being tracked here, https://bugzilla.redhat.com/show_bug.cgi?id=1195500

Comment 7 errata-xmlrpc 2015-07-22 06:12:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1281.html


Note You need to log in before you can comment on or make changes to this bug.